<?php

/**
 * @file
 * Definition of Drupal\wysiwyg_linebreaks\Tests\WysiwygLinebreaksConfigTest.
 */

namespace Drupal\wysiwyg_linebreaks\Tests;

use Drupal\simpletest\WebTestBase;
use Drupal\Core\Database\Database;
use Drupal\Core\Language\Language;

/**
 * Test the functionality of the Wysiwyg Linebreaks module for an admin user.
 */
class WysiwygLinebreaksConfigTest extends WebTestBase {
  protected $admin_user;
  protected $node;

  // Use the Standard profile so default text formats are enabled.
  protected $profile = 'standard';

  // Modules to enable.
  public static $modules = array('wysiwyg_linebreaks');

  // Information about this test.
  public static function getInfo() {
    return array(
      'name' => 'Admin configuration',
      'description' => 'Ensure that Wysiwyg Linebreaks settings are configurable.',
      'group' => 'Wysiwyg Linebreaks',
    );
  }

  /**
   * Setup function.
   */
  public function setUp() {
    // Enable modules required for this test.
    parent::setUp();

    // Set up admin user.
    $this->admin_user = $this->drupalCreateUser(array(
      'administer filters',
    ));
  }

  /**
   * Test the text formats form.
   */
  public function testBasicHTMLTextFormatsConfigForm() {
    // Log in the admin user.
    $this->drupalLogin($this->admin_user);

    // Get the comment reply form and ensure there's no 'url' field.
    $this->drupalGet('admin/config/content/formats/manage/basic_html');
    $this->assertText('Force linebreaks', 'Force linebreaks conversion method shown.');
    $this->assertText('Convert linebreaks', 'Convert linebreaks conversion method shown.');
  }
}
